# Interface EventManager

All Known Implementing Classes:
  `ActionManager, ActionManagerMT, PanelData`

public interface EventManager

## Method Summary

Modifier and Type
Method
Description
`boolean`
`keyPressed(int keyCode, int modifiers)`
`void`
`keyReleased(int keyCode)`
`boolean`
`keyTyped(int keyChar, int modifiers)`
`void`
`mouseAction(int mode, long time, int x, int y, int count, int buttonMods)`
`void`
`mouseEnterExit(long time, int x, int y, boolean isExit)`

## Method Details

### keyPressed

boolean keyPressed(int keyCode, int modifiers)

### keyTyped

boolean keyTyped(int keyChar, int modifiers)

### keyReleased

void keyReleased(int keyCode)

### mouseEnterExit

void mouseEnterExit(long time, int x, int y, boolean isExit)

### mouseAction

void mouseAction(int mode, long time, int x, int y, int count, int buttonMods)